[SA19295] LibVC "count_vcards()" Buffer Overflow Vulnerability

2006-03-27T00:00:00
ID SECURITYVULNS:DOC:11976
Type securityvulns
Reporter Securityvulns
Modified 2006-03-27T00:00:00

Description

TITLE: LibVC "count_vcards()" Buffer Overflow Vulnerability

SECUNIA ADVISORY ID: SA19295

VERIFY ADVISORY: http://secunia.com/advisories/19295/

CRITICAL: Moderately critical

IMPACT: System access

WHERE: >From remote

SOFTWARE: LibVC http://secunia.com/product/8950/

DESCRIPTION: trew has discovered a vulnerability in LibVC, which potentially can be exploited by malicious people to compromise a user's system.

The vulnerability is caused due to a boundary error in the "count_vcards()" function in vc.c when reading lines from an input vcard (.vcf) file. This can be exploited to cause a stack-based buffer overflow via overly long lines in a vcard file and may allow arbitrary code execution.

Successful exploitation requires that the library is used to parse a malicious vcard (.vcf) file.

The vulnerability has been confirmed in version 003. Other versions may also be affected.

Note: The library may be used by other applications as a shared library e.g. Rolo.

SOLUTION: Do not use to library to parse vcard files from untrusted sources.

PROVIDED AND/OR DISCOVERED BY: trew

ORIGINAL ADVISORY: http://osvdb.org/ref/23/23985-libvc.txt


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.